Bug 1550152 - debuginfo: buildid conflicts between sibling kernel versions
Summary: debuginfo: buildid conflicts between sibling kernel versions
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mark Wielaard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-28 16:21 UTC by Frank Ch. Eigler
Modified: 2019-02-21 21:12 UTC (History)
19 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-02-21 21:12:50 UTC


Attachments (Terms of Use)

Description Frank Ch. Eigler 2018-02-28 16:21:06 UTC
During a recent fedora27 yum update, buildid conflicts prevented installation.  Chances are the kernel builds need to add a n-v-r salt to the buildid computations.  Reporting here as bug as per Mark's request.

  file /usr/lib/debug/.build-id/48/fb222f3dab796535fa7e85594b553ad83af7a7.1 from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/48/fb222f3dab796535fa7e85594b553ad83af7a7.1.debug from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/67/47f1d420d5a02f93d8caea9fcac43306d2ef38.1 from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/67/47f1d420d5a02f93d8caea9fcac43306d2ef38.1.debug from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/67/6573a25e1e3e7b98312b49af4f33e975093a58.1 from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/67/6573a25e1e3e7b98312b49af4f33e975093a58.1.debug from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/6c/953fcc6c0125d2f86b2c1bd238dc84f00d90df.1 from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/6c/953fcc6c0125d2f86b2c1bd238dc84f00d90df.1.debug from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/7e/54b0d3c75c0def0253fc357826ea3badd5b6ca.1 from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/7e/54b0d3c75c0def0253fc357826ea3badd5b6ca.1.debug from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/80/4d9d281a36e3c1b6f70e47933527ad1314d54f.1 from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/80/4d9d281a36e3c1b6f70e47933527ad1314d54f.1.debug from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/88/896584f7262b3888b83d15dde769d7508c31d1.1 from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/88/896584f7262b3888b83d15dde769d7508c31d1.1.debug from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/a7/a0a3d0af76b4a5a5da21648752ba3652f1c30e.1 from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/a7/a0a3d0af76b4a5a5da21648752ba3652f1c30e.1.debug from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/a9/26d2dbe69daed0cf390e2807c367709340a6e8.1 from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/a9/26d2dbe69daed0cf390e2807c367709340a6e8.1.debug from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/b2/1a810f03fc9a25c269793caf302a3ea8ef58dc.1 from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/b2/1a810f03fc9a25c269793caf302a3ea8ef58dc.1.debug from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/da/249fdc5b9ba2d6b6db15fe1ae4898f507997e0.1 from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/da/249fdc5b9ba2d6b6db15fe1ae4898f507997e0.1.debug from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/e8/55c8d7ab7e15bc9ec8f812fda5199491be7765.1 from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64
  file /usr/lib/debug/.build-id/e8/55c8d7ab7e15bc9ec8f812fda5199491be7765.1.debug from install of kernel-debuginfo-4.15.4-300.fc27.x86_64 conflicts with file from package kernel-debuginfo-4.14.16-300.fc27.x86_64

Comment 1 Mark Wielaard 2018-02-28 16:27:04 UTC
I'll investigate. The .1. means there are multiple (hard linked) files with the same buildid. That is odd.

Comment 2 Laura Abbott 2018-02-28 17:15:34 UTC
I'm pretty sure this is to be expected right now. We are currently not recomputing the buildids for the kernel because of problems embedding the vDSO.

Comment 3 Mark Wielaard 2018-03-16 17:35:08 UTC
I looked at a couple of these and while Laura is correct that the kernel.spec currently doesn't use debugedit for recomputing the buildids these do look a little fishy:

lrwxrwxrwx. 1 mark mark 95 Mar 16 18:19 4.15.4-300.fc27.x86_64//usr/lib/debug/.build-id/48/fb222f3dab796535fa7e85594b553ad83af7a7.1.debug -> ../../../../../usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/asn1_compiler.debug
lrwxrwxrwx. 1 mark mark 91 Mar 16 18:19 4.15.4-300.fc27.x86_64//usr/lib/debug/.build-id/67/47f1d420d5a02f93d8caea9fcac43306d2ef38.1.debug -> ../../../../../usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/sign-file.debug
lrwxrwxrwx. 1 mark mark 94 Mar 16 18:19 4.15.4-300.fc27.x86_64//usr/lib/debug/.build-id/67/6573a25e1e3e7b98312b49af4f33e975093a58.1.debug -> ../../../../../usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/extract-cert.debug
lrwxrwxrwx. 1 mark mark 91 Mar 16 18:19 4.15.4-300.fc27.x86_64//usr/lib/debug/.build-id/6c/953fcc6c0125d2f86b2c1bd238dc84f00d90df.1.debug -> ../../../../../usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/pnmtologo.debug
lrwxrwxrwx. 1 mark mark 89 Mar 16 18:19 4.15.4-300.fc27.x86_64//usr/lib/debug/.build-id/7e/54b0d3c75c0def0253fc357826ea3badd5b6ca.1.debug -> ../../../../../usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/unifdef.debug
lrwxrwxrwx. 1 mark mark 93 Mar 16 18:19 4.15.4-300.fc27.x86_64//usr/lib/debug/.build-id/80/4d9d281a36e3c1b6f70e47933527ad1314d54f.1.debug -> ../../../../../usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/sortextable.debug
lrwxrwxrwx. 1 mark mark 94 Mar 16 18:19 4.15.4-300.fc27.x86_64//usr/lib/debug/.build-id/88/896584f7262b3888b83d15dde769d7508c31d1.1.debug -> ../../../../../usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/basic/fixdep.debug
lrwxrwxrwx. 1 mark mark 94 Mar 16 18:19 4.15.4-300.fc27.x86_64//usr/lib/debug/.build-id/a7/a0a3d0af76b4a5a5da21648752ba3652f1c30e.1.debug -> ../../../../../usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/recordmcount.debug
lrwxrwxrwx. 1 mark mark 93 Mar 16 18:19 4.15.4-300.fc27.x86_64//usr/lib/debug/.build-id/a9/26d2dbe69daed0cf390e2807c367709340a6e8.1.debug -> ../../../../../usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/conmakehash.debug
lrwxrwxrwx. 1 mark mark 90 Mar 16 18:19 4.15.4-300.fc27.x86_64//usr/lib/debug/.build-id/b2/1a810f03fc9a25c269793caf302a3ea8ef58dc.1.debug -> ../../../../../usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/kallsyms.debug
lrwxrwxrwx. 1 mark mark 93 Mar 16 18:19 4.15.4-300.fc27.x86_64//usr/lib/debug/.build-id/da/249fdc5b9ba2d6b6db15fe1ae4898f507997e0.1.debug -> ../../../../../usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/basic/bin2c.debug
lrwxrwxrwx. 1 mark mark 98 Mar 16 18:19 4.15.4-300.fc27.x86_64//usr/lib/debug/.build-id/e8/55c8d7ab7e15bc9ec8f812fda5199491be7765.1.debug -> ../../../../../usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/mod/mk_elfconfig.debug

Note that they are all from 'scripts' and they don't actually contain debuginfo!

/tmp/kernel-debugs/4.14.16-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.14.16-300.fc27.x86_64/scripts/asn1_compiler.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.15.4-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/asn1_compiler.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.14.16-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.14.16-300.fc27.x86_64/scripts/sign-file.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.15.4-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/sign-file.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.14.16-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.14.16-300.fc27.x86_64/scripts/extract-cert.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.15.4-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/extract-cert.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.14.16-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.14.16-300.fc27.x86_64/scripts/pnmtologo.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.15.4-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/pnmtologo.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.14.16-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.14.16-300.fc27.x86_64/scripts/unifdef.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.15.4-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/unifdef.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.14.16-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.14.16-300.fc27.x86_64/scripts/sortextable.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.15.4-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/sortextable.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.14.16-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.14.16-300.fc27.x86_64/scripts/basic/fixdep.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.15.4-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/basic/fixdep.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.14.16-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.14.16-300.fc27.x86_64/scripts/recordmcount.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.15.4-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/recordmcount.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.14.16-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.14.16-300.fc27.x86_64/scripts/conmakehash.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.15.4-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/conmakehash.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.14.16-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.14.16-300.fc27.x86_64/scripts/kallsyms.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.15.4-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/kallsyms.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.14.16-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.14.16-300.fc27.x86_64/scripts/basic/bin2c.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.15.4-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/basic/bin2c.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.14.16-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.14.16-300.fc27.x86_64/scripts/mod/mk_elfconfig.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

/tmp/kernel-debugs/4.15.4-300.fc27.x86_64/usr/lib/debug/usr/src/kernels/4.15.4-300.fc27.x86_64/scripts/mod/mk_elfconfig.debug:

eu-readelf: cannot get debug context descriptor: No DWARF information found

So, it looks like the scripts tools are build without -g.

Comment 4 Laura Abbott 2018-03-16 19:09:08 UTC
Yeah these are mostly just extra files which are packaged for kernel-devel and aren't actually used for anything at runtime for the kernel. I don't think it makes sense to try and compile those with -g so I'll see about omitting the binaries but copying the source files for -devel.

Comment 5 Laura Abbott 2018-03-20 21:46:39 UTC
I pushed a fix to drop the binaries from all branches. It turns out you could see evidence of this if you looked at the tail end of the build log (https://kojipkgs.fedoraproject.org//packages/kernel/4.15.11/300.fc27/data/logs/x86_64/build.log). We still don't have the full n-v-r salting going on but that's still a WIP. I'm going to close the bug because we fixed at least some of the weirdess, feel free to reopen if the fix is incomplete.

Comment 6 Laura Abbott 2018-03-22 19:02:46 UTC
Okay it turns out we can't just wildly remove the binaries from kernel-devel because it breaks out of tree modules. Despite having all the files present and even getting a message to run 'make prepare' modpost and recordmcount won't get rebuilt. There's a note that the expectation for external modules is that the kernel will have been built successfully at least once before which seems to contradict the message to run 'make prepare'. If you can't tell, I think this behavior is wrong but I suspect I would lose this fight upstream.

So plan B is either add debugging information to those files or just omit them from debuginfo, unless there's an option to make find-debuginfo omit files that have a buildid but no debug information?

Comment 7 Mark Wielaard 2018-03-22 19:33:37 UTC
(In reply to Laura Abbott from comment #6)
> So plan B is either add debugging information to those files or just omit
> them from debuginfo, unless there's an option to make find-debuginfo omit
> files that have a buildid but no debug information?

There is no such option. Building with debuginfo (-g) is the best thing.
If -g is missing other standard package build flags are probably also missing.

Comment 8 Justin M. Forbes 2018-07-23 15:10:42 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 9 Justin M. Forbes 2018-08-29 15:06:18 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 10 Frank Ch. Eigler 2018-10-10 20:05:48 UTC
This problem still occurs with f28 kernels:

dnf-automatic[3860938]:   file /usr/lib/debug/.build-id/fd/8eed780a821f80c1bf17c7b199e1e8efb84b8d.1 from install of kernel-debuginfo-4.18.12-200.fc28.x86_64 conflicts with file from package kernel-debuginfo-4.18.5-200.fc28.x86_64

Comment 11 Mark Wielaard 2018-10-10 20:18:40 UTC
(In reply to Frank Ch. Eigler from comment #10)
> dnf-automatic[3860938]:   file
> /usr/lib/debug/.build-id/fd/8eed780a821f80c1bf17c7b199e1e8efb84b8d.1 from
> install of kernel-debuginfo-4.18.12-200.fc28.x86_64 conflicts with file from
> package kernel-debuginfo-4.18.5-200.fc28.x86_64

Could you please ls -lah /usr/lib/debug/.build-id/fd/8eed780a821f80c1bf17c7b199e1e8efb84b8d.1 to see what it points to?

The .1 at the end means it is a duplicate, probably hard linked binary.

Comment 12 Frank Ch. Eigler 2018-10-10 20:31:02 UTC
Mark requested a list of the binaries affected:

-rwxr-xr-x. 1 root root 11K Sep  4 12:09 ../../../../../usr/src/kernels/4.18.5-200.fc28.x86_64/tools/objtool/fixdep
-r--r--r--. 1 root root 5.2K Sep  4 12:09 ../../../../../usr/lib/debug/usr/src/kernels/4.18.5-200.fc28.x86_64/tools/objtool/fixdep.debug
-rwxr-xr-x. 1 root root 6.0K Sep  4 12:09 ../../../../../usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/basic/bin2c
-r--r--r--. 1 root root 4.8K Sep  4 12:09 ../../../../../usr/lib/debug/usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/basic/bin2c.debug
-rwxr-xr-x. 1 root root 19K Sep  4 12:09 ../../../../../usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/recordmcount
-r--r--r--. 1 root root 8.4K Sep  4 12:09 ../../../../../usr/lib/debug/usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/recordmcount.debug
-rwxr-xr-x. 1 root root 15K Sep  4 12:09 ../../../../../usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/kallsyms
-r--r--r--. 1 root root 6.4K Sep  4 12:09 ../../../../../usr/lib/debug/usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/kallsyms.debug
-rwxr-xr-x. 1 root root 39K Sep  4 12:09 ../../../../../usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/selinux/mdp/mdp
-r--r--r--. 1 root root 5.1K Sep  4 12:09 ../../../../../usr/lib/debug/usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/selinux/mdp/mdp.debug
-rwxr-xr-x. 1 root root 105K Sep  4 12:09 ../../../../../usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/kconfig/conf
-r--r--r--. 1 root root 20K Sep  4 12:09 ../../../../../usr/lib/debug/usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/kconfig/conf.debug
-rwxr-xr-x. 1 root root 15K Sep  4 12:09 ../../../../../usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/sortextable
-r--r--r--. 1 root root 6.2K Sep  4 12:09 ../../../../../usr/lib/debug/usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/sortextable.debug
-rwxr-xr-x. 1 root root 6.1K Sep  4 12:09 ../../../../../usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/mod/mk_elfconfig
-r--r--r--. 1 root root 4.9K Sep  4 12:09 ../../../../../usr/lib/debug/usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/mod/mk_elfconfig.debug
-rwxr-xr-x. 1 root root 15K Sep  4 12:09 ../../../../../usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/pnmtologo
-r--r--r--. 1 root root 6.1K Sep  4 12:09 ../../../../../usr/lib/debug/usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/pnmtologo.debug
-rwxr-xr-x. 1 root root 11K Sep  4 12:09 ../../../../../usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/conmakehash
-r--r--r--. 1 root root 5.3K Sep  4 12:09 ../../../../../usr/lib/debug/usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/conmakehash.debug
-rwxr-xr-x. 1 root root 11K Sep  4 12:09 ../../../../../usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/basic/fixdep
-r--r--r--. 1 root root 5.8K Sep  4 12:09 ../../../../../usr/lib/debug/usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/basic/fixdep.debug
-rwxr-xr-x. 1 root root 40K Sep  4 12:09 ../../../../../usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/selinux/genheaders/genheaders
-r--r--r--. 1 root root 5.4K Sep  4 12:09 ../../../../../usr/lib/debug/usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/selinux/genheaders/genheaders.debug
-rwxr-xr-x. 1 root root 27K Sep  4 12:09 ../../../../../usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/unifdef
-r--r--r--. 1 root root 9.8K Sep  4 12:09 ../../../../../usr/lib/debug/usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/unifdef.debug
-rwxr-xr-x. 1 root root 23K Sep  4 12:09 ../../../../../usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/asn1_compiler
-r--r--r--. 1 root root 7.2K Sep  4 12:09 ../../../../../usr/lib/debug/usr/src/kernels/4.18.5-200.fc28.x86_64/scripts/asn1_compiler.debug

Comment 13 Laura Abbott 2018-10-10 20:37:40 UTC
This is to be expected on F28. The patches fixing this are only on F29 and later.

Comment 14 Justin M. Forbes 2019-01-29 16:25:03 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.20.5-100.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.

If you experience different issues, please open a new bug report for those.

Comment 15 Justin M. Forbes 2019-02-21 21:12:50 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.